OpenNMS API 1.2.9

## Package org.opennms.netmgt.scheduler

Interface Summary
ReadyRunnable: This interface extends the `runnable`interface and provides a method to determine if the runnable is ready to start.
ScheduleInterval: Represents a ScheduleInterval
ScheduleTimer: Represents a ScheduleTimer
Timer: Represents a Timer

Class Summary
Schedule: Represents a Schedule
Scheduler: This class implements a simple scheduler to ensure the polling occurs at the expected intervals.
Scheduler.PeekableFifoQueue: This queue extends the standard FIFO queue instance so that it is possible to peek at an instance without removing it from the queue.
ScheduleTest: Represents a ScheduleTest

Exception Summary
PostponeNecessary: Represents a PostponeNecessary

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.